org.jgroups.util

## Class AckCollector

- java.lang.Object
- - org.jgroups.util.AckCollector

    public class AckCollector
    extends java.lang.Object

Collects acks from a number of nodes, waits for all acks. Can also be time bounded

Author:
  Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`AckCollector()`
`AckCollector(ViewId v, java.util.List<java.lang.Object> l)`

### Method Summary

Methods
`void` `ack(java.lang.Object member)`
`int` `expectedAcks()`
`void` `handleView(View v)`
`java.lang.String` `printMissing()`
`static java.lang.String` `printReceived()` Deprecated.
`java.lang.String` `printSuspected()`
`static int` `receivedAcks()` Deprecated.
`void` `reset(java.util.Collection<Address> members)`
`int` `size()`
`void` `suspect(Address member)`
`java.lang.String` `toString()`
`void` `unsuspect(Address member)`
`boolean` `waitForAllAcks()`
`boolean` `waitForAllAcks(long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AckCollector

    public AckCollector()

#### AckCollector

    public AckCollector(ViewId v,
                java.util.List<java.lang.Object> l)

### Method Detail

#### printMissing

    public java.lang.String printMissing()

#### printReceived

    @Deprecated
    public static java.lang.String printReceived()

Deprecated.

#### printSuspected

    public java.lang.String printSuspected()

#### reset

    public void reset(java.util.Collection<Address> members)

#### size

    public int size()

#### receivedAcks

    @Deprecated
    public static int receivedAcks()

Deprecated.

#### expectedAcks

    public int expectedAcks()

#### ack

    public void ack(java.lang.Object member)

#### suspect

    public void suspect(Address member)

#### unsuspect

    public void unsuspect(Address member)

#### handleView

    public void handleView(View v)

#### waitForAllAcks

    public boolean waitForAllAcks()

#### waitForAllAcks

    public boolean waitForAllAcks(long timeout)
                           throws TimeoutException

Throws:
  `TimeoutException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`